curl --request GET \
--url https://api.eflow.team/v1/networks/trafficcontrols/{controlId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/trafficcontrols/{controlId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/trafficcontrols/{controlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_traffic_control_id": 1,
"network_id": 1,
"name": "Block Bad Sources",
"status": "active",
"is_apply_all_affiliates": true,
"is_apply_all_offers": true,
"control_type": "blacklist",
"targeting_action": "block",
"date_valid_from": "",
"date_valid_to": "",
"comparison_method": "exact_match",
"variables": [
"source_id",
"sub3"
],
"time_created": 1774721611,
"time_saved": 1774721611,
"relationship": {
"network_offer_ids": null,
"network_affiliate_ids": null,
"network_advertiser_ids": null,
"values": [
"bad_source_1",
"bad_source_2"
]
}
}Get Traffic Control
Retrieve a single traffic control by its ID.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The unique traffic control ID.
Response
Unique traffic control ID.
Network ID.
Name of the traffic control.
Status of the traffic control.
active, inactive Traffic controls can be either whitelist or blacklist.
blacklist, whitelist The targeting action.
block, fail_traffic Whether this control applies to all offers.
Whether this control applies to all affiliates.
Defines how the variables are compared.
exact_match, contains, begins_with, ends_with, does_not_contain, does_not_match, is_empty The click variable that will be looked up and compared to the values supplied. Can be one or multiple values among: sub1, sub2, sub3, sub4, sub5, sub6, sub7, sub8, sub9, sub10, source_id, referrer, isp, ip, user_agent, country, tracking_domain. Note: variables and values are only populated by the Get by ID endpoint.
sub1, sub2, sub3, sub4, sub5, sub6, sub7, sub8, sub9, sub10, source_id, referrer, isp, ip, user_agent, country, tracking_domain Related entities associated with this traffic control.
Show child attributes
Show child attributes
Start date for the control's validity period (YYYY-MM-DD).
End date for the control's validity period (YYYY-MM-DD).
Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Was this page helpful?
